#!/bin/bash
set -e


apt-get -y install mdadm btrfs-tools

"./parted/${1}.sh"

cryptsetup luksFormat /dev/md0
cryptsetup open --type luks /dev/md0 md0-unlocked

mkfs.btrfs /dev/mapper/md0-unlocked

mkdir /mnt/md0-unlocked
mount /dev/mapper/md0-unlocked /mnt/md0-unlocked

debootstrap --variant=minbase --arch=amd64 stretch /mnt/md0-unlocked https://deb.debian.org/debian/

mount -t proc none /mnt/md0-unlocked/proc
mount -t sysfs none /mnt/md0-unlocked/sys
mount -o bind /dev /mnt/md0-unlocked/dev
